﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using CSS_Solution;
namespace CSS_Solution.Forms
{
    public partial class Countdown : UserControl
    {
        public Countdown()
        {
            InitializeComponent();
            refresh.Enabled = true;
        }
        public void Start_Timer() => millisecond.Enabled = true;

        private void refresh_Tick(object sender, EventArgs e)
        {
            if(DesignMode) return;
            DateTime start = DateTime.Now;
            DateTime end = Settings.etc.StartTime;
            //DateTime end = DateTime.Now;
            TimeSpan duration = end - start;
            if (duration < TimeSpan.Zero)
            {
                refresh.Enabled = false;
                Delta_Time.Text = "00:00:00";
                millisecond.Text = "00";
            }
            Delta_Time.Text = duration.ToString(@"hh\:mm\:ss");
            millisecond.Text = duration.ToString(@"fff").Remove(2);
        }
    }
}
